# xenserver_facts – get facts reported on xenserver

- Synopsis
- Examples
- Status

## Synopsis

- Reads data out of XenAPI, can be used instead of multiple xe commands.

## Examples

    - name: Gather facts from xenserver
      xenserver_facts:

    - name: Print running VMs
      debug:
        msg: "{{ item }}"
      with_items: "{{ xs_vms.keys() }}"
      when: xs_vms[item]['power_state'] == "Running"

    # Which will print:
    #
    # TASK: [Print running VMs] ***********************************************************
    # skipping: [10.13.0.22] => (item=CentOS 4.7 (32-bit))
    # ok: [10.13.0.22] => (item=Control domain on host: 10.0.13.22) => {
    #     "item": "Control domain on host: 10.0.13.22",
    #     "msg": "Control domain on host: 10.0.13.22"
    # }

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Andy Hill (@andyhky)
- Tim Rupp (@caphrim007)
- Robin Lee (@cheese)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.